package com.szpg.db.dao;

import java.util.List;

import com.szpg.db.data.PgCO;

/**
 * 一氧化碳相关参数读写的数据库接口
 * @author admin
 *
 */
public interface PgCODao {

	/******** 一氧化碳浓度变量值 ********/
	public List<PgCO> findAllPblz();
	public PgCO findPblzById(Integer id);
	public PgCO findLatestPblzByDevice(Integer deviceid);
	
	public List<PgCO> findPblzByDevice(Integer deviceid);
	public List<PgCO> findPblzByDeviceAndTm(Integer deviceid, String start, String end);
	
	public double findLastValueByDevice(Integer deviceid);
	
	public int addPblzRecord(PgCO ch4);
	public int addPblzRecord(float value, String tm, int deviceid);

}
